List workspaces
curl --request GET \
--url https://api.routemcp.io/api/v1/mcp/workspaces \
--header 'Authorization: <api-key>'import requests
url = "https://api.routemcp.io/api/v1/mcp/workspaces"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.routemcp.io/api/v1/mcp/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0191e6a2-1c4d-7a3b-9f10-2b3c4d5e6f70",
"organizationId": "0191e6a2-0000-7000-8000-000000000001",
"name": "Support Bot",
"mode": "router",
"environment": "sandbox",
"allowedTools": null,
"toolkitFilter": [
"github",
"gmail"
],
"settings": {},
"statelessMode": false,
"status": "active",
"llm": {
"configured": true,
"model": "anthropic/claude-sonnet-4-6",
"verificationStatus": "verified",
"verifiedAt": "2026-05-29T10:05:00.000Z",
"updatedAt": "2026-05-29T10:05:00.000Z"
},
"createdAt": "2026-05-29T10:00:00.000Z",
"updatedAt": "2026-05-29T10:00:00.000Z"
}
],
"meta": {
"total": 1,
"page": 1,
"limit": 20,
"totalPages": 1
}
}{
"success": false,
"statusCode": 400,
"message": "Validation Errors.",
"errors": {
"email": "email should not be empty"
},
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}{
"success": false,
"statusCode": 429,
"message": "Too Many Requests",
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}{
"success": false,
"statusCode": 500,
"message": "Internal server error.",
"timestamp": "2026-02-06T12:00:00.000Z",
"path": "/api/v1/example"
}Workspaces
List workspaces
Returns a paginated list of workspaces (router-mode MCP servers) for the environment of the authenticating API key, newest first. Use page and limit for offset pagination.
GET
/
mcp
/
workspaces
List workspaces
Authorizations
Enter your API key with the Bearer prefix — e.g. Bearer sk_live_xxx (production) or Bearer sk_test_xxx (sandbox)
Query Parameters
1-indexed page number.
Required range:
x >= 1Rows per page.
Required range:
1 <= x <= 100⌘I